List all change requests for a space
Returns a paginated list of change requests for the given space. Use this to discover existing change requests before creating a new one, or to find change requests assigned to a specific user for review.
A unique entity identifier
^[a-zA-Z0-9_-]+$Identifier of the page results to fetch.
The number of results per page
If defined, only change requests matching this status will be returned.
openPossible values: If defined, only change requests created by this user will be returned.
If defined, only change requests with contributions from this user will be returned.
If defined, only change requests with a requested reviewer for this user will be returned.
If defined, only change requests linked to this site topic will be returned.
The field to sort change requests by. Defaults to 'updatedAt'.
updatedAtPossible values: List of the space's change requests
Total count of objects in the list
GET /v1/spaces/{spaceId}/change-requests HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
List of the space's change requests
{
"next": {
"page": "text"
},
"count": 1,
"items": [
{
"object": "change-request",
"id": "text",
"number": 1,
"status": "draft",
"subject": "text",
"description": {
"object": "document",
"data": {},
"nodes": [
{
"object": "block",
"type": "paragraph",
"data": {},
"nodes": [
{
"object": "text",
"leaves": [
{
"object": "leaf",
"text": "Hello world",
"marks": []
}
]
}
]
}
]
},
"createdBy": {
"object": "user",
"id": "text",
"displayName": "text",
"email": "text",
"photoURL": "text",
"urls": {
"location": "https://example.com"
}
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"mergedBy": {
"object": "user",
"id": "text",
"displayName": "text",
"email": "text",
"photoURL": "text",
"urls": {
"location": "https://example.com"
}
},
"mergedAt": "2026-01-01T00:00:00.000Z",
"space": "text",
"revision": "text",
"revisionInitial": "text",
"revisionMergedAncestor": "text",
"revisionMerged": "text",
"comments": 1,
"changeCounts": {
"pages": {
"added": 1,
"modified": 1,
"deleted": 1
},
"library": {
"added": 1,
"modified": 1,
"deleted": 1
},
"blocks": {
"added": 1,
"modified": 1,
"deleted": 1
},
"blocksOmittedReason": "too-many-pages"
},
"siteTopic": {
"site": "text",
"topic": "text"
},
"siteFindings": [
{
"site": "text",
"finding": "text"
}
],
"styleguide": {
"site": "text",
"run": "text",
"changedPages": 1,
"checkedAt": "2026-01-01T00:00:00.000Z"
},
"outdated": true,
"imports": [
{
"object": "import-run",
"id": "text",
"startedAt": "2026-01-01T00:00:00.000Z",
"completedAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"status": "pending",
"reason": "text",
"source": {
"type": "website",
"url": "https://example.com"
},
"target": {
"space": "text",
"changeRequest": "text",
"page": "text"
},
"site": "text",
"createdBy": "text",
"urls": {
"location": "https://example.com"
},
"pages": [
{
"id": "text",
"sourceURL": "text",
"type": "page",
"status": "complete"
}
]
}
],
"links": [
{
"id": "text",
"ref": {
"kind": "url",
"url": "text"
},
"title": "text",
"isSyncing": true,
"expanded": {
"kind": "external-ticket",
"provider": "jira",
"state": "connected",
"key": "text",
"url": "https://example.com",
"status": {
"id": "text",
"name": "text"
},
"summary": "text"
}
}
],
"urls": {
"app": "https://example.com",
"location": "https://example.com"
}
}
]
}Last updated
Was this helpful?